/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2000
 *
 * Permission to use, distribute, and sell this software and its documentation for any purpose is hereby granted without fee,
 * provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice
 * appear in supporting documentation, and that the name of the copyright holder not be used in advertising or publicity
 * pertaining to distribution of the software without specific, written prior permission.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 *
 * $Id: keyboard.h,v 1.11 2000/11/04 21:31:51 erik Rel $
 ********************************************************************************************************************************/
#ifndef _XZX_KEYBOARD_H
#define _XZX_KEYBOARD_H
#define INBYTE_KEYBOARD(port,res) \
	{																															\
		if ((port & 0x8000) == 0)																								\
		{																														\
			res &= KeyboardPorts[7];																							\
		}																														\
		if ((port & 0x4000) == 0)																								\
		{																														\
			res &= KeyboardPorts[6];																							\
		}																														\
		if ((port & 0x2000) == 0)																								\
		{																														\
			res &= KeyboardPorts[5];																							\
		}																														\
		if ((port & 0x1000) == 0)																								\
		{																														\
			res &= KeyboardPorts[4];																							\
		}																														\
		if ((port & 0x0800) == 0)																								\
		{																														\
			res &= KeyboardPorts[3];																							\
		}																														\
		if ((port & 0x0400) == 0)																								\
		{																														\
			res &= KeyboardPorts[2];																							\
		}																														\
		if ((port & 0x0200) == 0)																								\
		{																														\
			res &= KeyboardPorts[1];																							\
		}																														\
		if ((port & 0x0100) == 0)																								\
		{																														\
			res &= KeyboardPorts[0];																							\
		}																														\
	}
extern void KeyboardReset(void);
extern uns8 KeyboardPorts[9];
#endif
