/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2000
 *
 * Permission to use, distribute, and sell this software and its documentation for any purpose is hereby granted without fee,
 * provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice
 * appear in supporting documentation, and that the name of the copyright holder not be used in advertising or publicity
 * pertaining to distribution of the software without specific, written prior permission.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifdef HAVE_CONFIG_H
# include "config.h"
#endif
#if defined(XZX_PENTAGON) || defined(XZX_PENTAGON)
#ifndef lint
static char rcsid[] = "$Id: stubs.c,v 1.2 2000/09/09 09:30:02 erik Rel $";
#endif
#include "ui.h"
#include "trdos.h"
void
TrdosOutByte(uns16 port, uns8 val)
{
	if ((port & 0x001f) == 0x001f && ((port & 0x0080) == 0x0000 || (port & 0x00f0) == 0x00f0))
	{
		static int cnt = 0;
		if ((++cnt % 75) == 0)
		{
			(void)UiShowMessage(DIALOG_INFO,
								"Support for disk emulation is available\n"
								"in the registered version only.\n\n"
								"See file README for details.",
								"Continue", (const char *)0, DIALOG_OK);
		}
	}
}
uns8
TrdosInByte(uns16 port)
{
	return 0xff;
}
#endif
